Intelligence
List intelligence memories
List saved Substy Intelligence memories in the selected private or agency scope, up to the requested limit.
GET
/v1/agencies/{agencyId}/intelligence/memoriesList saved Substy Intelligence memories in the selected private or agency scope, up to the requested limit.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthQuery Parameters
scope?string
Default
"private"Value in
- "private"
- "agency"
limit?integer
Range
1 <= value <= 200Default
100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/intelligence/memories" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": [ { "id": "string", "memory": "string", "scope": "agency", "createdAt": null, "updatedAt": null, "metadata": null } ], "meta": { "requestId": "string" }}Initialize intelligence attachment upload POST
Create upload details for a Substy Intelligence attachment up to 20 MiB. Transfer the file using the returned instructions before attaching its reference to an Intelligence message.
Create intelligence memory POST
Save a reusable instruction or fact for Substy Intelligence in private or agency scope, optionally linked to a conversation.